/* Christoph Schwirzer */
#include <cstdio>
#include <iostream>
using namespace std;
int main()
{
	int m, n, b;
	while (scanf("%d%d%d", &m, &n, &b), m != 0)
	{
		m -= 7;
		n -= 7;
		if (m < 0 || n < 0)
		{
			puts("0");
			continue;
		}
		printf("%d\n", (m*n+b) / 2);
	}
	return 0;
}
